#pragma once

#include "WorldUpdate.h"

class Chunk;

class AddChunkUpdate : public WorldUpdate
{
private:
    Chunk* chunk;

protected:
    void write( Framework::StreamWriter* zWriter ) override;

public:
    AddChunkUpdate( Chunk* chunk );
    ~AddChunkUpdate();

    void onUpdate( Dimension* zDimension ) override;
    Chunk* zChunk() const;
};

class AddChunkUpdateType : WorldUpdateType
{
    REGISTRABLE( AddChunkUpdateType )

protected:
    AddChunkUpdateType();
};

REGISTER( AddChunkUpdateType, WorldUpdateType )