#pragma once
#include "WorldUpdate.h"

class BlockChangedUpdate : public WorldUpdate
{
protected:
    void write( Framework::StreamWriter* zWriter ) override;

public:
    BlockChangedUpdate( Framework::Vec3<int> pos, int dimension );
    ~BlockChangedUpdate();

    void onUpdate( Dimension* zDimension ) override;
};

class BlockChangedUpdateType : WorldUpdateType
{
    REGISTRABLE( BlockChangedUpdateType )

protected:
    BlockChangedUpdateType();
};
REGISTER( BlockChangedUpdateType, WorldUpdateType )