#pragma once

#include "WorldUpdate.h"

class EntityChangedUpdate : public WorldUpdate
{
private:
    int entityId;

protected:
    void write( Framework::StreamWriter* zWriter ) override;

public:
    EntityChangedUpdate( int entityId, Framework::Vec3<int> pos, int dimension );
    ~EntityChangedUpdate();

    void onUpdate( Dimension* zDimension ) override;
};

class EntityChangedUpdateType : WorldUpdateType
{
    REGISTRABLE( EntityChangedUpdateType )

protected:
    EntityChangedUpdateType();
};
REGISTER( EntityChangedUpdateType, WorldUpdateType )